<launch>
  <arg name="arm_id" default="panda"/>
  <arg name="load_gripper" default="false" />
  <arg name="load_dh_gripper" default="false" />
  <!-- By default, we do not start a database (it can be large) -->
  <arg name="db" default="false" />
  <!-- Allow user to specify database location -->
  <arg name="db_path" default="$(find panda_moveit_config)/default_warehouse_mongo_db" />

  <!-- By default, we are not in debug mode -->
  <arg name="debug" default="false" />
  <arg name="pipeline" default="ompl" />

  <!--
  By default, hide joint_state_publisher's GUI

  MoveIt!'s "demo" mode replaces the real robot driver with the joint_state_publisher.
  The latter one maintains and publishes the current joint configuration of the simulated robot.
  It also provides a GUI to move the simulated robot around "manually".
  This corresponds to moving around the real robot without the use of MoveIt.
  -->
  <arg name="rviz_tutorial" default="false" />
  <arg name="use_gui" default="false" />
  <param name="move_group/robot_name" value="$(arg arm_id)" />
  <param name="move_group/planning_scene_monitor/publish_planning_scene_hz" value="50.0"/>
  <param name="move_group/trajectory_execution/execution_duration_monitoring" value="false"/>
  <!-- Run the main MoveIt executable without trajectory execution (we do not have controllers configured by default) -->
  <include file="$(find panda_moveit_config)/launch/move_group.launch">
    <arg name="load_gripper" value="$(arg load_gripper)"/>
    <arg name="allow_trajectory_execution" value="true"/>
    <arg name="load_robot_description" value="false"/>
    <arg name="arm_id" value="$(arg arm_id)"/>
    <!-- <arg name="fake_execution" value="false"/> -->
    <arg name="info" value="false"/>
    <arg name="debug" value="$(arg debug)"/>
    <arg name="pipeline" value="$(arg pipeline)"  />
  </include>

  <!-- If database loading was enabled, start mongodb as well -->
  <include file="$(find panda_moveit_config)/launch/default_warehouse_db.launch" if="$(arg db)">
    <arg name="moveit_warehouse_database_path" value="$(arg db_path)"/>
  </include>
</launch>
